{% extends 'base.html' %}

{% block title %}Home{% endblock %}

{% block content%}

	<div class="container">

	{% if user.is_anonymous == False %}

		<h1 class="text-center my-3">Welcome {{user.first_name}} {{user.last_name}}!</h1>

		<h3 class="text-center mb-3">My Tasks</h3>

		{% if todoitem_list %}

				<div class="row">
					<ul class="list-group col-lg-2 offset-lg-5 text-center">
						{% for todoitem in todoitem_list %}

								<a href="{% url 'todolist:viewtodoitem' todoitem.id %}" class="text-decoration-none"> 
								<li class="list-group-item">{{ todoitem.task_name }}</li>
							</a>

						{% endfor %}
					</ul>
				</div>

		{% else %}

		<p class="text-center mb-3">No tasks have been created.</p>

		{% endif %}

			<h3 class="text-center mb-3">My Events</h3>

		{% if eventitem_list %}

			<div class="row">
				<ul class="list-group col-lg-2 offset-lg-5 text-center">
					{% for eventitem in eventitem_list %}

							<a href="{% url 'todolist:vieweventitem' eventitem.id %}" class="text-decoration-none"> 
							<li class="list-group-item">{{ eventitem.event_name }}</li>
						</a>

					{% endfor %}
				</ul>
			</div>
		
		{% else %}

			<p class="text-center mb-3">No events have been created.</p>

		{% endif %}

	{% else %}
		<h1 class="text-center my-3">You are not authorized to access this page.</h1>
		<p class="text-center">Kindly login <a href="{% url 'todolist:login' %}">here</a></p>


	{% endif %}

{% endblock %}

